net.corda.node.utilities

## Class ClockUtilsKt

- net.corda.node.utilities.ClockUtilsKt

-     public class ClockUtilsKt

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `awaitWithDeadline(java.time.Clock $receiver, java.time.Instant deadline, java.util.concurrent.Future<?> future)` Wait until the given Future is complete or the deadline is reached, with support for `class MutableClock` implementations used in demos or testing. This will substitute a Fiber compatible Future so the current Strand is not blocked.

- - ### Method Detail

    - #### awaitWithDeadline

          public static boolean awaitWithDeadline(java.time.Clock $receiver,
                                                  java.time.Instant deadline,
                                                  java.util.concurrent.Future<?> future)

      Wait until the given Future is complete or the deadline is reached, with support for `class MutableClock` implementations used in demos or testing. This will substitute a Fiber compatible Future so the current Strand is not blocked.

      Returns:
        true if the Future is complete, false if the deadline was reached.
      See Also:
        Future, `class MutableClock`, Strand